//***************************************************************
// multiplant.shader	Todd Gantzler/ydnar/Obsidian	28.05.04
// Originally by Todd Gantzler, this file has been rewritten to
// work properly with proper alpha and Q3Map2 support. Vertex lit
// by default.
//*********************************************************************************************************************
// And now modified by Cooki3 and sk8 using maya_plants.shader & multiplant.shader from ut4_rico & ut4_examine_maya_a1n
//*********************************************************************************************************************

models/mapobjects/multiplant/fern
{
	q3map_forcemeta
        qer_editorimage models/mapobjects/multiplant/fern.tga
        surfaceparm alphashadow
        surfaceparm nonsolid
        surfaceparm trans
        cull disable
        nopicmip
        {
                map models/mapobjects/multiplant/fern.tga
                rgbGen identity
                depthWrite
                alphaFunc GE128
        }
        {
                map $lightmap
		blendfunc gl_dst_color gl_zero
                rgbGen identity
                tcGen lightmap
                depthFunc equal
        }
}

models/mapobjects/multiplant/bannanaleaf
{	
	q3map_forcemeta
	qer_editorImage models/mapobjects/multiplant/bannanaleaf.tga
        surfaceparm alphashadow
        surfaceparm nonsolid
        surfaceparm trans
        cull disable
        nopicmip
		deformVertexes wave 100 sin 3 5 .1 0.1
        {
		map models/mapobjects/multiplant/bannanaleaf.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
            rgbGen identity
            tcGen lightmap
            depthFunc equal
        }
}

models/mapobjects/multiplant/batleaf
{
	q3map_forcemeta
        qer_editorimage models/mapobjects/multiplant/batleaf.tga
        surfaceparm alphashadow
        surfaceparm nonsolid
        surfaceparm trans
        cull disable
        nopicmip
	deformVertexes wave 100 sin 3 5 .1 0.1
        {
                map models/mapobjects/multiplant/batleaf.tga
                rgbGen identity
                depthWrite
                alphaFunc GE128
        }
        {
                map $lightmap
		blendfunc gl_dst_color gl_zero
                rgbGen identity
                tcGen lightmap
                depthFunc equal
        }
}


models/mapobjects/multiplant/batleaf2
{
	qer_editorImage models/mapobjects/multiplant/batleaf2.tga
	qer_alphaFunc gequal 0.5
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	cull none
	deformVertexes wave 100 sin 3 5 0.1 0.1
	{
		map models/mapobjects/multiplant/batleaf2.tga
		rgbGen vertex
		alphaFunc GE128
		depthWrite
	}
	{
		map models/mapobjects/multiplant/batleaf2veins.tga
		blendFunc blend
		rgbGen wave sin 0 1 0 .33
		depthFunc equal
	}
}


//***************************************************************
//  NOW Leaf & pleaf 1 2 3 from ut4_rico.pk3 in multiplant.shader
//***************************************************************

models/mapobjects/multiplant/leaf1
{	
    surfaceparm alphashadow
    cull none
	{
		map models/mapobjects/multiplant/leaf1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identityLighting
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

models/mapobjects/multiplant/leaf2
{	
    surfaceparm alphashadow
    cull none

	{
		map models/mapobjects/multiplant/leaf2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identityLighting
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

models/mapobjects/multiplant/leaf3
{	
    surfaceparm alphashadow
    cull none
	{
		map models/mapobjects/multiplant/leaf3.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identityLighting
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


models/mapobjects/multiplant/pleaf1
{	
    surfaceparm alphashadow
    cull none
	{
		map models/mapobjects/multiplant/pleaf1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identityLighting
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

models/mapobjects/multiplant/pleaf2
{	
    surfaceparm alphashadow
    cull none
	{
		map models/mapobjects/multiplant/pleaf2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identityLighting
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

models/mapobjects/multiplant/pleaf3
{	
    surfaceparm alphashadow
    cull none
	{
		map models/mapobjects/multiplant/pleaf3.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identityLighting
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//************************************************************
// NOW palmfrond from ut4_examine_mayan in maya_plants.shader
//  +  deformVertexes wave 50 sin 2 2 .1 0.4
//************************************************************

models/mapobjects/multiplant/palmfrond
{
	q3map_forcemeta

        qer_editorimage models/mapobjects/multiplant/palmfrond.tga

        surfaceparm alphashadow
        surfaceparm nonsolid
        surfaceparm trans

        cull disable
        nopicmip
	deformVertexes wave 50 sin 2 2 .1 0.4
        {
                map models/mapobjects/multiplant/palmfrond.tga
                rgbGen identity
                depthWrite
                alphaFunc GE128
        }
        {
                map $lightmap
		blendfunc gl_dst_color gl_zero
                rgbGen identity
                tcGen lightmap
                depthFunc equal
        }
}


//*****************************************************
//****** Now invisible shad from ut4_ricoh ************
//*****************************************************

models/mapobjects/multiplant/invisible
{
	surfaceparm alphashadow
	surfaceparm nodraw
	surfaceparm nolightmap			
	surfaceparm nonsolid	//Forces nonsolid even on autoclipped models
	surfaceparm trans
	surfaceparm nomarks
        {
                map models/mapobjects/multiplant/invisible.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
}


//***************************************************************
// palms.shader		Todd Gantzler/ydnar/Obsidian	28.05.04
// Originally by Todd Gantzler, this file has been rewritten to
// work properly with proper alpha and Q3Map2 support. Vertex lit
// by default.
//***************************************************************

models/mapobjects/palm2/trunk
{
	qer_editorImage models/mapobjects/palm2/trunk.tga

	surfaceparm pointlight

	{
		map models/mapobjects/palm2/trunk.tga
		rgbGen vertex
	}
}


models/mapobjects/palm1/palm1
{
	qer_editorImage models/mapobjects/palm1/palm1.tga
	qer_alphaFunc gequal 0.5

	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans

	deformVertexes autosprite2
	cull none

	{
		map models/mapobjects/palm1/palm1.tga
		rgbGen vertex
		alphaFunc GE128
		depthWrite
	}
}


models/mapobjects/palm3/palmtop
{
	qer_editorImage models/mapobjects/palm3/palmtop.tga
	qer_alphaFunc gequal 0.5

	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans

	deformVertexes autosprite
	cull none

	{
		map models/mapobjects/palm3/palmtop.tga
		rgbGen vertex
		alphaFunc GE128
		depthWrite
	}
}